
Ruby - Bug #12060

2016_02_10 Downloaded Ruby 2.3.0 Fails to Build

02/10/2016 12:57 PM - martin_vahi (Martin Vahi)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN, 2.3: UNKNOWN

Description

The key phrase after executing make is:

make[1]: Leaving directory '/opt/mmmv/ruby/src/tmp/ruby-2.3.0'

Generating RDoc documentation

/opt/mmmv/ruby/src/tmp/ruby-2.3.0/lib/time.rb:3:in `require': cannot load such file -- date (LoadE

rror)

 from /opt/mmmv/ruby/src/tmp/ruby-2.3.0/lib/time.rb:3:in `<top (required)>'

 from /opt/mmmv/ruby/src/tmp/ruby-2.3.0/lib/rdoc/rdoc.rb:7:in `require'

 from /opt/mmmv/ruby/src/tmp/ruby-2.3.0/lib/rdoc/rdoc.rb:7:in `<top (required)>'

 from ./bin/rdoc:16:in `require'

 from ./bin/rdoc:16:in `<main>'

uncommon.mk:441: recipe for target 'rdoc' failed

make: *** [rdoc] Error 1

 A slightly longer citation resides at the attached file.

The error emerged at a VirtualBox virtual appliance

that was running 64bit Ubuntu Linux.

History

#1 - 02/10/2016 01:03 PM - martin_vahi (Martin Vahi)

The sha256 of the downloaded

https://cache.ruby-lang.org/pub/ruby/2.3/ruby-2.3.0.tar.gz

is exactly as advertised at 2016_02_10:

ba5ba60e5f1aa21b4ef8e9bf35b9ddb57286cb546aac4b5a28c71f459467e507

#2 - 02/10/2016 01:57 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback

Could you show ext/date/mkmf.log file?

#3 - 07/24/2019 05:20 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed

Files

2016_02_10_Ruby_2_3_0_build_failure_rdoc.txt 1.45 KB 02/10/2016 martin_vahi (Martin Vahi)
